Skip to main content
Infrastructure/Lifecycle Upgrade

GetAvailableBundleVersion

Get one available bundle target

GET/api/v1/lifecycle/upgrades/bundles/{uuid}

Operation ID

GetAvailableBundleVersion

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    Uuid value that identifies the target resource

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • uuid
    String

    Available bundle target UUID

    Example: target-a1b2c3d4

  • bundleName
    String

    Bundle name for this resource

    Example: value

  • bundleVersion
    String

    Bundle version for this resource

    Example: value

  • minSourceBundleVersion
    String

    Min source bundle version for this resource

    Example: value

  • status
    String

    Status for this resource

    Example: value

  • manifestSetChecksum
    String

    Manifest set checksum for this resource

    Example: value

  • componentCount
    Integer

    Component count for this resource

    Example: 10

  • components
    List

    List of affected or referenced components

    Example: (nested array)

    • depotArtifactId
      Integer

      Depot artifact id for this resource

      Example: 10

    • componentUuid
      String

      Component uuid for this resource

      Example: value

    • componentName
      String

      Component name for this resource

      Example: value

    • version
      String

      Version for this resource

      Example: value

    • release
      String

      Release for this resource

      Example: value

    • arch
      String

      CPU architecture of this artifact

      Example: value

    • artifactType
      String

      Artifact type for this resource

      Example: value

    • filename
      String

      Filename for this resource

      Example: value

    • artifactDigest
      String

      Artifact digest for this resource

      Example: value

    • manifestChecksum
      String

      Manifest checksum for this resource

      Example: value

  • membershipChanges
    List

    Membership changes for this resource

    Example: (nested array)

    • action
      String

      Action for this resource

      Example: value

    • fromBundleName
      String

      From bundle name for this resource

      Example: value

    • componentName
      String

      Component name for this resource

      Example: value

    • reason
      String

      Reason for this resource

      Example: value

    • componentCategory
      String

      Component category for this resource

      Example: value

    • componentType
      String

      Component type for this resource

      Example: "lifecycle-service"

  • reason
    String

    Reason for this resource

    Example: value

  • createdAt
    String

    Created at for this resource

    Example: 2026-01-15T08:00:00Z

  • updatedAt
    String

    Updated at for this resource

    Example: 2026-01-15T08:00:00Z

  • componentReleaseChanges
    List

    Component release changes for this resource

    Example: (nested array)

    • componentUuid
      String

      Component uuid for this resource

      Example: value

    • componentName
      String

      Component name for this resource

      Example: value

    • fromVersion
      String

      From version for this resource

      Example: value

    • fromRelease
      String

      From release for this resource

      Example: value

    • toVersion
      String

      To version for this resource

      Example: value

    • toRelease
      String

      To release for this resource

      Example: value

  • bundleRelease
    String

    Bundle release for this resource

    Example: value

  • Change Time

    AddedResponse fields bundleRelease
    View API